2019-12-14 00:19 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002008FSSCPFREDpublic2009-11-20 04:29
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0002008: Multiple when-argument = Assert: !(Sexp_replacement_arguments.empty())
DescriptionBasically I was playing around with using 2 repeating when-argument events to position and orient and object then move that object while keeping it oriented in a certain direction. Both argument lists contained the same list of ships. When the last argument is invalidated from the second list the assert happens.

Assert: !(Sexp_replacement_arguments.empty())
File: sexp.cpp
Line: 20328

<no module>! KiFastSystemCallRet
<no module>! WaitForSingleObject + 18 bytes
<no module>! SCP_DumpStack + 260 bytes
<no module>! WinAssert + 208 bytes
<no module>! CTEXT + 185 bytes
<no module>! sexp_distance + 53 bytes
<no module>! eval_sexp + 2828 bytes
<no module>! eval_sexp + 311 bytes
<no module>! sexp_number_compare + 47 bytes
<no module>! eval_sexp + 1668 bytes
<no module>! eval_when + 539 bytes
<no module>! eval_sexp + 3231 bytes
<no module>! eval_when + 777 bytes
<no module>! eval_sexp + 3231 bytes
<no module>! mission_process_event + 313 bytes
<no module>! mission_eval_goals + 179 bytes
<no module>! game_simulation_frame + 1079 bytes
<no module>! game_frame + 491 bytes
<no module>! game_do_frame + 237 bytes
<no module>! game_do_state + 379 bytes
<no module>! gameseq_process_events + 237 bytes
<no module>! game_main + 728 bytes
<no module>! WinMain + 330 bytes
<no module>! __tmainCRTStartup + 358 bytes
<no module>! WinMainCRTStartup + 15 bytes
<no module>! RegisterWaitForInputIdle + 73 bytes


Additional Information3.6.11 r5619. Attaching test mission. Just kill the engines and sit there for about 30 seconds. Ship should start moving at 15 seconds and it crashed on me at 28 seconds.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011273

karajorma (administrator)

Is this working now?

~0011278

FUBAR-BDHR (developer)

Didn't know I was supposed to test it. Last time I heard you though there was an unnecessary int(3)in there. If it's been committed I'll give it a shot tomorrow.

~0011304

FUBAR-BDHR (developer)

Yep seems to be working just fine.
+Notes

-Issue History
Date Modified Username Field Change
2009-10-24 18:28 FUBAR-BDHR New Issue
2009-10-24 18:28 FUBAR-BDHR File Added: 2whenarg.fs2
2009-10-24 18:30 chief1983 Assigned To => karajorma
2009-10-24 18:30 chief1983 Status new => assigned
2009-11-14 03:47 karajorma Note Added: 0011273
2009-11-14 05:56 FUBAR-BDHR Note Added: 0011278
2009-11-18 03:16 FUBAR-BDHR Note Added: 0011304
2009-11-20 04:29 karajorma Status assigned => resolved
2009-11-20 04:29 karajorma Fixed in Version => 3.6.11
2009-11-20 04:29 karajorma Resolution open => fixed
+Issue History